curl --request PATCH \
--url https://app.launchdarkly.com/api/v2/applications/{applicationKey}/versions/{versionKey} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"op": "replace",
"path": "/supported",
"value": "false"
}
]
'import requests
url = "https://app.launchdarkly.com/api/v2/applications/{applicationKey}/versions/{versionKey}"
payload = [
{
"op": "replace",
"path": "/supported",
"value": "false"
}
]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([{op: 'replace', path: '/supported', value: 'false'}])
};
fetch('https://app.launchdarkly.com/api/v2/applications/{applicationKey}/versions/{versionKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"autoAdded": true,
"key": "2",
"name": "01.02.03",
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
},
"_links": {},
"_version": 123,
"creationDate": "1654104600000",
"supported": true
}{
"code": "invalid_request",
"message": "Invalid request body"
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}Update application version
Update an application version. You can update the supported field. Requires a JSON patch representation of the desired changes to the application version. To learn more, read Updates.
Authorizations
Path Parameters
The application key
The application version key
Body
Response
Application version response
Whether the application version was automatically created, because it was included in a context when a LaunchDarkly SDK evaluated a feature flag, or if the application version was created through the LaunchDarkly UI or REST API.
true
The unique identifier of this application version
"2"
The name of this version
"01.02.03"
Details on the allowed and denied actions for this application version
Show child attributes
Show child attributes
The location and content type of related resources
Show child attributes
Show child attributes
Version of the application version
Timestamp of when the application version was created
"1654104600000"
Whether this version is supported. Only applicable if the application kind is mobile.
true